/*--------------------------------------------------------------------------*/
/* mainwindow.h                                                             */
/*                                                                          */
/* 2019-05-22 First version                                             HS  */
/*--------------------------------------------------------------------------*/

#include "qmainwindow.h"

// need this for the native Win32 calls
#include "Windows.h"

namespace Ui { class MainWindow; }

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget* parent = nullptr);
    ~MainWindow();
    void logText(QString sText);

private slots:
    void on_pushButton_clicked();

public:
// for processing Windows native events
    bool nativeEvent(const QByteArray& eventType, void* message, long* result);

private:
    Ui::MainWindow   *ui;
};
